commit d6f9eca495adfe10e299b5d8c0ca167fb6e8802c
Author: freddy77 <freddy77>
Date:   Sat Apr 18 15:21:49 2009 +0000

    fix test according to vendors behavior

diff --git a/ChangeLog b/ChangeLog
index 337ae2a..6086d57 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Sat Apr 18 17:21:15 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/timeout.c:
+	- fix test according to vendors behavior
+
 Fri Apr 17 19:16:14 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/sybase_tests: set LD_RUN_PATH to find proper libraries
 
@@ -1480,4 +1484,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2770 2009/04/17 17:16:22 freddy77 Exp $
+$Id: ChangeLog,v 1.2771 2009/04/18 15:21:49 freddy77 Exp $
diff --git a/src/dblib/unittests/timeout.c b/src/dblib/unittests/timeout.c
index 1551cb6..e27c8de 100644
--- a/src/dblib/unittests/timeout.c
+++ b/src/dblib/unittests/timeout.c
@@ -7,7 +7,7 @@
 #include "common.h"
 #include <time.h>
 
-static char software_version[] = "$Id: timeout.c,v 1.7 2009/02/27 15:52:48 freddy77 Exp $";
+static char software_version[] = "$Id: timeout.c,v 1.8 2009/04/18 15:21:49 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int ntimeouts = 0, ncancels = 0;
@@ -176,8 +176,8 @@ main(int argc, char **argv)
 	/* wait for it to execute */
 	printf("executing dbsqlok\n");
 	erc = dbsqlok(dbproc);
-	if (erc == FAIL) {
-		fprintf(stderr, "Failed: dbsqlok\n");
+	if (erc != FAIL) {
+		fprintf(stderr, "dbsqlok should fail for timeout\n");
 		exit(1);
 	}
 
@@ -222,8 +222,8 @@ main(int argc, char **argv)
 			}
 			break;
 		case FAIL:
-			printf("OK: dbresults returned FAIL, probably caused by the timeout\n");
-			break;
+			printf("dbresults returned FAIL\n");
+			exit(1);
 		default:
 			printf("unexpected return code %d from dbresults\n", erc);
 			exit(1);

